SHOWREV(8)

NAME
showrev - show machine and software revision information

SYNOPSIS
/usr/etc/showrev [ -a ] [ -p ] [ [ -c ] command ]

DESCRIPTION

showrev displays revision information for the current hardware and software. With no arguments, showrev shows the system revision information including hostname, hostid, kernel architecture, application architecture, kernel revision and release. On SunOS 4.1.1 Rev B or later, OS release revision, OpenWindows version, Sunview version and patch information may also be displayed.

If a command is supplied with the -c option, showrev shows the PATH and finds out all the directories that contain it. For each file found, its library information, SCCS Id, permission and checksum are printed as well.

OPTIONS

-a  Print all system revision information available. Window system and patch information are added.

-p  Print only the revision information about patches.

-c command
    Print the revision information about command.

FILES

/usr/kvm/arch
    system architecture information
/sbin/hostname
    hostname information
/etc/hosts
    general host information
/vmunix
    kernel
/usr/sys/conf.common/RELEASE
    OS release information - kernel name
/usr/bin/sunview
    SunView executable
/usr/kvm/showrev.dat
    OS release revision information
/etc/install/patch*
    patch release information

SEE ALSO
arch(1), cc(1V), ldd(1), sum(1), sccs(1), what(1)